package com.ghy.order.domain;

import com.ghy.common.annotation.Excel;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 订单与评价标签关联关系对象 order_assess_label
 *
 * @author ydq
 * @date : 2022-10-08 22:03
 */
public class OrderAssessLabel {
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 订单ID */
    @Excel(name = "订单ID")
    private Long orderId;

    /** 标签ID */
    @Excel(name = "标签ID")
    private String labelId;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setOrderId(Long orderId)
    {
        this.orderId = orderId;
    }

    public Long getOrderId()
    {
        return orderId;
    }
    public void setLabelId(String labelId)
    {
        this.labelId = labelId;
    }

    public String getLabelId()
    {
        return labelId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("orderId", getOrderId())
            .append("labelId", getLabelId())
            .toString();
    }
}
